{% load static %}

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Todo List</title>
    </head>
    <body>
        <main>
            <div>
                <h1>{{ detail_object.name }}</h1>
                <p>
                    <a href="{% url 'todo_list_update' detail_object.id %}">Edit</a>
                    <a href="{% url 'todo_list_delete' detail_object.id %}">Delete</a>
                </p>
                <h2>Tasks</h2>
                <table>
                    <thead>
                        <th>Task</th>
                        <th>Due Date</th>
                    </thead>
                    <tbody>
                        {% for task_name in detail_object.items.all %}
                            <tr>
                                <td>
                                    <a href="{% url 'todo_item_update' task_name.id %}">{{ task_name.task }}</a>
                                </td>
                                <td>{{ task_name.due_date }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </main>
    </body>
</html>
